#!/usr/bin/perl -w

use strict;

use GOGraph::GOAppHandleFactory;

$! = 1;

my $apph = GOGraph::GOAppHandleFactory::go_apph();


my $go_accn = "5623";

my $assocs = $apph->get_all_associations({acc=>$go_accn});

print "GO id is $go_accn\n";


foreach my $assoc (@$assocs) {
  printf " gene product:%s %s:%s\n", 
    $assoc->gene_product->symbol,
      $assoc->gene_product->speciesdb,
        $assoc->gene_product->acc;
}



