#!/usr/bin/perl -w

use strict;

use GOGraph::Statistics::GOCompare;
use GOGraph::Similarity::Factory;
use GOGraph::Statistics::PrintOutResults;

$! = 1;


use GOGraph::Similarity::InformationContent::Base::AcceptAspect;

my $accept = GOGraph::Similarity::InformationContent::Base::AcceptAspect->new( "function" );


my $term_one = "8281";
my $term_two = "8281";

my $apph = GOGraph::GOAppHandleFactory::go_apph();

my $term = $apph->get_term({acc=>$term_one});


print "Aspect is " . $term->type . " which is acceptable: " . $accept->accept( $term ) .  "\n";



$term->type( "molecular_function" );
print "Aspect is " . $term->type . " which is acceptable: " . $accept->accept( $term ) .  "\n";
$accept->accept( $term );



$term->type ( "something else" );

print "Aspect is " . $term->type . "\n";


$accept->accept( $term );
