#!/usr/bin/perl -w

package GOGraph::Statistics::PrintOutResults;

=head1 NAME

  GOGraph::Statistics::PrintOutResults;

=head1 DESCRIPTION

  Simple output handler that simple prints the result out to screen.

=cut

use Exporter;
use strict;

use vars qw(@ISA);
use base qw(GOGraph::Statistics::GOCompareOutputHandler Exporter);
use GOGraph::Statistics::GOCompareOutputHandler;


sub process_result{
  my $self = shift;

  my $semantic_similarity = shift;

  my $acc = shift;
  my $match_acc = shift;

  print "\t" . $self->comparitor_name . " $acc $match_acc $semantic_similarity\n";
}


1;
