#!/usr/bin/perl -w
use DBI;


my $database_name = "gosst_results";

## create the database. Note that accn_two_desc is denormalised for speed.
## This may need changing later if it takes up too much space.
my $create=<<SQL;
create table compare
  ( id int,
    accn_one varchar(255),
    accn_two varchar(255),
    accn_two_desc varchar(255),
    type_id int,
    similarity float);

create table constraint_type
  ( id int,
    constraint_name varchar(255) );
SQL

system( "mysqladmin drop  $database_name" );
system( "mysqladmin create $database_name" );

my $connection = DBI->connect( "dbi:mysql:database=$database_name", "root", "" ) || die "Failed to connect $!";
print $connection->do( $create ) || die "Failed to disconnect $!";

$connection->disconnect;

