#!/usr/bin/perl -w

package GOGraph::Similarity::InformationContent::Base::OccurrenceFactory;

=head1

  A factory for the Occurrence object. It can't get much simpler than this.

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut

use strict;
use GOGraph::Similarity::InformationContent::Base::CachingSqlOccurrence;


sub create_instance{
  #return GOGraph::Similarity::InformationContent::Base::SqlOccurrence->new;
  return GOGraph::Similarity::InformationContent::Base::CachingSqlOccurrence->new;
}



1;

