#!/usr/bin/perl -w


package GOGraph::Statistics::GOCompareOutputHandler;

=head2 process_result

  args - the semantic similarity, the search acc, and match accession,
  and the subject object for the blast match, if there is one.

  Process the results for this match.

=head2 comparitor_name

  return - the comparitor name.

=cut

sub new{
  my $proto = shift;
  my $class = ref( $proto ) || $proto;

  my $comparitor_name = shift;
  my $self = {};
  bless $self, $class;

  $self->{comparitor_name} = $comparitor_name;
  $self->_initialize;
  return $self;
}

sub _initialize{}

sub comparitor_name{
  my $self = shift;
  return $self->{comparitor_name};
}

1;

