#!/usr/bin/perl -w

use strict;
use Test;
use lib 't', 'lib';
use factory;

use GOGraph::Similarity::InformationContent::Base::AcceptEvidence;
use GOGraph::Similarity::InformationContent::Base::AcceptMultiplexer;


BEGIN{
  plan test => 6
}
my $apph = go_apph;


my $goterms = $apph->get_terms({'products'=>'opsd_human'});

my $accept_evidence =
  GOGraph::Similarity::InformationContent::Base::AcceptEvidence->new( 0.2 );
my $accept_evidence_6 =
  GOGraph::Similarity::InformationContent::Base::AcceptEvidence->new( 0.6 );

ok( 1 );


ok( $accept_evidence->accept( $goterms->[ 0 ] ) );



my $accept_multiplexer =
  GOGraph::Similarity::InformationContent::Base::AcceptMultiplexer
  ->new( [$accept_evidence, $accept_evidence_6] );

ok( 1 );

print $accept_evidence->name() . "\n";
print $accept_multiplexer->name() . "\n";

ok( 1 );

my $accept_multiplexer2 =
  GOGraph::Similarity::InformationContent::Base::AcceptMultiplexer
  ->new( [$accept_evidence_6, $accept_evidence ] );

ok( $accept_multiplexer->name eq $accept_multiplexer2->name );


print "Second accept " . $accept_multiplexer->accept( $goterms->[ 0 ] ) . "\n";

ok( $accept_multiplexer->accept( $goterms->[ 0 ] ) );
