#!/usr/bin/perl -w

use strict;
use Test;

use lib "t", "lib";
use GOGraph::GeneProduct::Collections::AllGOCollection;
use GOGraph::GeneProduct::Collections::AllSwissprotCollection;

BEGIN{ plan test => 5 }

my $all = GOGraph::GeneProduct::Collections::AllGOCollection->new;
my $swiss = GOGraph::GeneProduct::Collections::AllSwissprotCollection->new;

ok( 1 );

my $all_size   = scalar @{$all->collection};
my $swiss_size = scalar @{$swiss->collection};

print "Size of all collection $all_size, size of swissprot is $swiss_size\n";

## sanity checks on the size of the swissprot terms
ok( $swiss_size > 16000 );
ok( $swiss_size < 100000 );


## sanity checks on the size of the all terms
ok( $all_size > 130000 );
ok( $all_size < 1000000 );






