#!/usr/bin/perl -w

use strict;
use Test;
use lib 't', 'lib';
use factory;

use GOGraph::GeneProduct::SequenceSimilarity::NeedleSimilarity;

BEGIN{ plan tests => 1 }


my $swiss_sequence = GOGraph::GeneProduct::SequenceSimilarity->new;
my $seq1 = $swiss_sequence->sequence( "OPSD_HUMAN" );
my $seq2 = $swiss_sequence->sequence( "OPSD_SHEEP" );

my $needle_sim = GOGraph::GeneProduct::NeedleSimilarity->new();

ok( $needle_sim->similarity( $seq1, $seq2 ) );
